com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecutionStartedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecutionStartedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecutionStartedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of `WorkflowExecutionStarted` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecutionStartedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecutionStartedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`String` `getContinuedExecutionRunId()` If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.
`String` `getExecutionStartToCloseTimeout()` The maximum duration for this workflow execution.
`String` `getInput()` The input provided to the workflow execution (if any).
`String` `getLambdaRole()` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`Long` `getParentInitiatedEventId()` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution.
`WorkflowExecution` `getParentWorkflowExecution()` The source workflow execution that started this workflow execution.
`List<String>` `getTagList()` The list of tags associated with this workflow execution.
`TaskList` `getTaskList()` The name of the task list for scheduling the decision tasks for this workflow execution.
`String` `getTaskPriority()`
`String` `getTaskStartToCloseTimeout()` The maximum duration of decision tasks for this workflow type.
`WorkflowType` `getWorkflowType()` The workflow type of this execution.
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setChildPolicy(String childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`void` `setContinuedExecutionRunId(String continuedExecutionRunId)` If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.
`void` `setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The maximum duration for this workflow execution.
`void` `setInput(String input)` The input provided to the workflow execution (if any).
`void` `setLambdaRole(String lambdaRole)` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`void` `setParentInitiatedEventId(Long parentInitiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution.
`void` `setParentWorkflowExecution(WorkflowExecution parentWorkflowExecution)` The source workflow execution that started this workflow execution.
`void` `setTagList(Collection<String> tagList)` The list of tags associated with this workflow execution.
`void` `setTaskList(TaskList taskList)` The name of the task list for scheduling the decision tasks for this workflow execution.
`void` `setTaskPriority(String taskPriority)`
`void` `setTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration of decision tasks for this workflow type.
`void` `setWorkflowType(WorkflowType workflowType)` The workflow type of this execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecutionStartedEventAttributes` `withChildPolicy(ChildPolicy childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`WorkflowExecutionStartedEventAttributes` `withChildPolicy(String childPolicy)` The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.
`WorkflowExecutionStartedEventAttributes` `withContinuedExecutionRunId(String continuedExecutionRunId)` If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.
`WorkflowExecutionStartedEventAttributes` `withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)` The maximum duration for this workflow execution.
`WorkflowExecutionStartedEventAttributes` `withInput(String input)` The input provided to the workflow execution (if any).
`WorkflowExecutionStartedEventAttributes` `withLambdaRole(String lambdaRole)` The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
`WorkflowExecutionStartedEventAttributes` `withParentInitiatedEventId(Long parentInitiatedEventId)` The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution.
`WorkflowExecutionStartedEventAttributes` `withParentWorkflowExecution(WorkflowExecution parentWorkflowExecution)` The source workflow execution that started this workflow execution.
`WorkflowExecutionStartedEventAttributes` `withTagList(Collection<String> tagList)` The list of tags associated with this workflow execution.
`WorkflowExecutionStartedEventAttributes` `withTagList(String... tagList)` The list of tags associated with this workflow execution.
`WorkflowExecutionStartedEventAttributes` `withTaskList(TaskList taskList)` The name of the task list for scheduling the decision tasks for this workflow execution.
`WorkflowExecutionStartedEventAttributes` `withTaskPriority(String taskPriority)`
`WorkflowExecutionStartedEventAttributes` `withTaskStartToCloseTimeout(String taskStartToCloseTimeout)` The maximum duration of decision tasks for this workflow type.
`WorkflowExecutionStartedEventAttributes` `withWorkflowType(WorkflowType workflowType)` The workflow type of this execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecutionStartedEventAttributes

    public WorkflowExecutionStartedEventAttributes()

### Method Detail

#### setInput

    public void setInput(String input)

The input provided to the workflow execution (if any).

Parameters:
  `input` - The input provided to the workflow execution (if any).

#### getInput

    public String getInput()

The input provided to the workflow execution (if any).

Returns:
  The input provided to the workflow execution (if any).

#### withInput

    public WorkflowExecutionStartedEventAttributes withInput(String input)

The input provided to the workflow execution (if any).

Parameters:
  `input` - The input provided to the workflow execution (if any).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionStartToCloseTimeout

    public void setExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The maximum duration for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The maximum duration for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getExecutionStartToCloseTimeout

    public String getExecutionStartToCloseTimeout()

The maximum duration for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withExecutionStartToCloseTimeout

    public WorkflowExecutionStartedEventAttributes withExecutionStartToCloseTimeout(String executionStartToCloseTimeout)

The maximum duration for this workflow execution.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `executionStartToCloseTimeout` - The maximum duration for this workflow execution.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskStartToCloseTimeout

    public void setTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration of decision tasks for this workflow type.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration of decision tasks for this workflow type.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### getTaskStartToCloseTimeout

    public String getTaskStartToCloseTimeout()

The maximum duration of decision tasks for this workflow type.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  The maximum duration of decision tasks for this workflow type.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

#### withTaskStartToCloseTimeout

    public WorkflowExecutionStartedEventAttributes withTaskStartToCloseTimeout(String taskStartToCloseTimeout)

The maximum duration of decision tasks for this workflow type.

The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Parameters:
  `taskStartToCloseTimeout` - The maximum duration of decision tasks for this workflow type.

  The duration is specified in seconds; an integer greater than or equal to 0. The value "NONE" can be used to specify unlimited duration.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Returns:
  The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionStartedEventAttributes withChildPolicy(String childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public WorkflowExecutionStartedEventAttributes withChildPolicy(ChildPolicy childPolicy)

The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

Parameters:
  `childPolicy` - The policy to use for the child workflow executions if this workflow execution is terminated, by calling the TerminateWorkflowExecution action explicitly or due to an expired timeout.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setTaskList

    public void setTaskList(TaskList taskList)

The name of the task list for scheduling the decision tasks for this workflow execution.

Parameters:
  `taskList` - The name of the task list for scheduling the decision tasks for this workflow execution.

#### getTaskList

    public TaskList getTaskList()

The name of the task list for scheduling the decision tasks for this workflow execution.

Returns:
  The name of the task list for scheduling the decision tasks for this workflow execution.

#### withTaskList

    public WorkflowExecutionStartedEventAttributes withTaskList(TaskList taskList)

The name of the task list for scheduling the decision tasks for this workflow execution.

Parameters:
  `taskList` - The name of the task list for scheduling the decision tasks for this workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowType

    public void setWorkflowType(WorkflowType workflowType)

The workflow type of this execution.

Parameters:
  `workflowType` - The workflow type of this execution.

#### getWorkflowType

    public WorkflowType getWorkflowType()

The workflow type of this execution.

Returns:
  The workflow type of this execution.

#### withWorkflowType

    public WorkflowExecutionStartedEventAttributes withWorkflowType(WorkflowType workflowType)

The workflow type of this execution.

Parameters:
  `workflowType` - The workflow type of this execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTagList

    public List<String> getTagList()

The list of tags associated with this workflow execution. An execution can have up to 5 tags.

Returns:
  The list of tags associated with this workflow execution. An execution can have up to 5 tags.

#### setTagList

    public void setTagList(Collection<String> tagList)

The list of tags associated with this workflow execution. An execution can have up to 5 tags.

Parameters:
  `tagList` - The list of tags associated with this workflow execution. An execution can have up to 5 tags.

#### withTagList

    public WorkflowExecutionStartedEventAttributes withTagList(String... tagList)

The list of tags associated with this workflow execution. An execution can have up to 5 tags.

NOTE: This method appends the values to the existing list (if any). Use `setTagList(java.util.Collection)` or `withTagList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `tagList` - The list of tags associated with this workflow execution. An execution can have up to 5 tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTagList

    public WorkflowExecutionStartedEventAttributes withTagList(Collection<String> tagList)

The list of tags associated with this workflow execution. An execution can have up to 5 tags.

Parameters:
  `tagList` - The list of tags associated with this workflow execution. An execution can have up to 5 tags.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

Parameters:
  `taskPriority` -

#### getTaskPriority

    public String getTaskPriority()

Returns:

#### withTaskPriority

    public WorkflowExecutionStartedEventAttributes withTaskPriority(String taskPriority)

Parameters:
  `taskPriority` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setContinuedExecutionRunId

    public void setContinuedExecutionRunId(String continuedExecutionRunId)

If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.

Parameters:
  `continuedExecutionRunId` - If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.

#### getContinuedExecutionRunId

    public String getContinuedExecutionRunId()

If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.

Returns:
  If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.

#### withContinuedExecutionRunId

    public WorkflowExecutionStartedEventAttributes withContinuedExecutionRunId(String continuedExecutionRunId)

If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.

Parameters:
  `continuedExecutionRunId` - If this workflow execution was started due to a `ContinueAsNewWorkflowExecution` decision, then it contains the `runId` of the previous workflow execution that was closed and continued as this execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setParentWorkflowExecution

    public void setParentWorkflowExecution(WorkflowExecution parentWorkflowExecution)

The source workflow execution that started this workflow execution. The member is not set if the workflow execution was not started by a workflow.

Parameters:
  `parentWorkflowExecution` - The source workflow execution that started this workflow execution. The member is not set if the workflow execution was not started by a workflow.

#### getParentWorkflowExecution

    public WorkflowExecution getParentWorkflowExecution()

The source workflow execution that started this workflow execution. The member is not set if the workflow execution was not started by a workflow.

Returns:
  The source workflow execution that started this workflow execution. The member is not set if the workflow execution was not started by a workflow.

#### withParentWorkflowExecution

    public WorkflowExecutionStartedEventAttributes withParentWorkflowExecution(WorkflowExecution parentWorkflowExecution)

The source workflow execution that started this workflow execution. The member is not set if the workflow execution was not started by a workflow.

Parameters:
  `parentWorkflowExecution` - The source workflow execution that started this workflow execution. The member is not set if the workflow execution was not started by a workflow.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setParentInitiatedEventId

    public void setParentInitiatedEventId(Long parentInitiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution. The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `parentInitiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution. The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getParentInitiatedEventId

    public Long getParentInitiatedEventId()

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution. The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution. The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withParentInitiatedEventId

    public WorkflowExecutionStartedEventAttributes withParentInitiatedEventId(Long parentInitiatedEventId)

The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution. The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `parentInitiatedEventId` - The ID of the `StartChildWorkflowExecutionInitiated` event corresponding to the `StartChildWorkflowExecution` decision to start this workflow execution. The source event with this ID can be found in the history of the source workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLambdaRole

    public void setLambdaRole(String lambdaRole)

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

#### getLambdaRole

    public String getLambdaRole()

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Returns:
  The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

#### withLambdaRole

    public WorkflowExecutionStartedEventAttributes withLambdaRole(String lambdaRole)

The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.

Parameters:
  `lambdaRole` - The IAM role attached to this workflow execution to use when invoking AWS Lambda functions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecutionStartedEventAttributes clone()

Overrides:
  `clone` in class `Object`